' --------------------------------------------------------------------------
'
' Stanze.VBS                                          Ulrich Mller 05.06.02
'                                                     PCS1700        VBS 5.1
' Stanzmaschine mit Transportband No. 51 663
' Interface-Belegung : die erforderlichen Werte wurden mit symbolischen
'     Konstanten bezeichnet, s.u.
'
' Systemanforderungen     : Windows Scripting Host (meist Standard)
'                           fischertechnik Interface (eingestellt :
'                           serielles an COM1 -> ft.OpenInterface
' zustzlich erforderlich : FishFa50D.clsFishFace (FishF50D.DLL), MSVBVM60.DLL
'                           Registrieren mit regsvr32.EXE FishFa50D.DLL 
'                           regsvr32.EXE /u FishFa50D.DLL Aufheben der Registrierung
'                           ggf. Pfadangabe machen. Siehe auch Readme.TXT
' Wenn beim Test Probleme mit einem erneuten Start entstehen :
' im TaskManager Anwendungen das VBS-Programm stoppen 
' und in Prozessen den WScript.EXE
' Den Modellbetrieb kann man mit der Esc-Taste/E8-Taster abbrechen.
'
' --------------------------------------------------------------------------

Option Explicit

' --------- Interface-Belegung --------------------

Const eEnde     = 8
Const mBand     = 1, cbVor   = 1, cbRuck  = 2
Const ePhotoV   = 1, ePhotoS = 2, mLampen = 3
Const mStanze   = 2, eOben   = 3, eUnten  = 4, csAb = 1, csAuf = 2 
Const ftiFehler = &H1FFFF, ftiAus = 0, ftiEin = 1

Dim ft

If MsgBox("Stanze starten? Zum Modellbetrieb : EXIT auf dem FishPanel", _ 
      vbOKCancel + vbInformation, "ftAmpel.VBS") = vbCancel then WScript.Quit
Set ft = CreateObject("FishFa50D.clsFishFace")
ft.Slave = False
If ft.OpenInterface("COM1") = ftiFehler then
  MsgBox "Da gibt es noch ein Interfaceproblem, eingeschaltet?, angesteckt?", _
     vbOKOnly + vbInformation, "ftAmpel.VBS"
  WScript.Quit
End If

' --- Start ---------------

ft.ShowPanel
ft.SetMotor mStanze, csAuf
ft.WaitForInput eOben
ft.SetMotor mStanze, ftiAus
ft.SetMotor mLampen, ftiEin

' --- Schleife Modellbetrieb --------

Do
  ft.WaitForLow ePhotoV
  ft.Pause 500
  ft.SetMotor mBand, cbVor
  ft.WaitForLow ePhotoS
  ft.SetMotor mBand, ftiAus

  ft.SetMotor mStanze, csAb
  ft.WaitForInput eUnten
  ft.SetMotor mStanze, ftiAus
  ft.Pause 1000
  ft.SetMotor mStanze, csAuf
  ft.WaitForInput eOben
  ft.SetMotor mStanze, ftiAus

  ft.SetMotor mBand, cbRuck
  ft.WaitForInput ePhotoV, False
  ft.Pause 300
  ft.SetMotor mBand, ftiAus
Loop Until ft.Finish(eEnde)                     ' --- Escape-Taste / E8

' --- Ende --------------

ft.CloseInterface
Set ft = Nothing
